libgpg-error (1.24-2) unstable; urgency=medium

  * Drop smurf from uploaders (Closes: #843361)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Nov 2016 08:30:48 -0800

libgpg-error (1.24-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Jul 2016 01:45:02 +0200

libgpg-error (1.23-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 16 Jun 2016 19:55:02 -0400

libgpg-error (1.22-2) unstable; urgency=medium

  * added powerpcspe and tilegx configs (Closes: #823630, #823631)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 10 May 2016 11:46:17 -0400

libgpg-error (1.22-1) unstable; urgency=medium

  * new upstream release (Closes: #822343)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 25 Apr 2016 17:18:31 -0400

libgpg-error (1.21-3) unstable; urgency=medium

  * add cross-compiling headers for several other architectures (Closes:
    #816240, #812832)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 22 Apr 2016 00:51:54 -0400

libgpg-error (1.21-2) unstable; urgency=medium

  * build out-of-tree for cleanliness
  * added libgpg-error-mingw-w64-dev package, in preparation for
    cross-building win32-loader component gpgv.exe

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Feb 2016 22:50:50 -0500

libgpg-error (1.21-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 15 Dec 2015 10:31:10 -0500

libgpg-error (1.20-1) unstable; urgency=medium

  * New upstream release
  * use new upstream default of no embedding build timestamp

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 08 Sep 2015 01:23:12 -0400

libgpg-error (1.19-2) unstable; urgency=medium

  * upload to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 04 Jun 2015 09:23:14 -0400

libgpg-error (1.19-1) experimental; urgency=medium

  * New Upstream Version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 13 Apr 2015 00:16:47 -0400

libgpg-error (1.18-1) experimental; urgency=medium

  * New Upstream Version
  * debian/patches: dropped most, already applied upstream
  * avoid breakage with gcc 5 (Closes: #777374)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 16 Mar 2015 13:11:35 -0400

libgpg-error (1.17-3) unstable; urgency=medium

  [ David Prévot ]
  * Force rebuild of gmo files
  * Update Polish translation, thanks to Jakub Bogusz
  * Update French translation
  * Update Ukrainian translation, thanks to Yuri Chornoivan
  * Update Danish translation, thanks to Joe Hansen
  * Update Dutch translation, thanks to Freek de Kruijf
  * Update Japanese translation, thanks to NIIBE Yutaka
  * Add Russian translation, thanks to Ineiev
  * Update Italian translation, thanks to Milo Casagrande
  * Add Chinese (traditional) translation, thanks to Jedi Lin
  * Add Portuguese translation, thanks to Paulo Tomé (Closes: #770893)
  * Add Serbian translation, thanks to Мирослав Николић
  * Update Czech translation, thanks to Petr Pisar

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Dec 2014 15:55:18 -0500

libgpg-error (1.17-2) unstable; urgency=medium

  * added arch-specific lock-obj header for added
    mips64el-unknown-linux-gnuabi64 (Closes: #766135)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 24 Oct 2014 15:24:00 -0400

libgpg-error (1.17-1) unstable; urgency=medium

  * New upstream release (Closes: #762322)
    - debian/patches: all merged upstream
  * added arch-specific lock-obj header for i586-pc-linux-gnu
    (Closes: #764881)
  * bumped all symbols to 1.14 since version node GPG_ERROR_1.0 was
    introduced there. (Closes: #765430)
  * use upstream's manpage for gpg-error-config
  * bump Standards-Version to 3.9.6 (no changes needed)
 
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 29 Sep 2014 11:39:00 -0400

libgpg-error (1.16-2) unstable; urgency=medium

  * added headers for powerpc64el and sparc64 (Closes: #762322)
  * fix build timestamp for reproducibility (Closes: #762397)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 22 Sep 2014 15:52:35 -0400

libgpg-error (1.16-1) unstable; urgency=medium

  * New upstream release
   - drop patches, applied upstream
  * move /usr/include/gpg-error.h to /usr/include/$ARCH/gpg-error.h
    (addresses part of #643341)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Sep 2014 10:53:54 -0400

libgpg-error (1.15-1) unstable; urgency=medium

  * New upstream release (skipping 1.14)
  * move to debhelper 9
  * complete move from dh_autotools-dev to dh_autoreconf
  * drop all debian/patches -- applied upstream
  * update the text of gpg-error-config.1, since it has not been called
    libgpg-error-config for years
  * update gpg-error-config to mention --mt
  * debian/copyright: use DEP5 
  * adopt new symbol visibility (GPG_ERROR_1.0) from upstream
  * fix locking problem at close with patch from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 09 Sep 2014 14:36:55 -0400

libgpg-error (1.13-4) unstable; urgency=medium

  * moving to git
  * using pristine-tar
  * wrap-and-sort to clean up debian/*

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 Aug 2014 14:00:12 -0700

libgpg-error (1.13-3) unstable; urgency=medium

  * Avoid dumping the native lock-obj header when cross-building, since it
    will not exist.  I think this resolves the FTCBFS issue.  Thanks to
    Helmut Grohne for all the useful guidance! (Closes: #753047)
  * update da.po. Thanks, Joe Hansen! (Closes: #754128)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 07 Aug 2014 21:32:09 -0400

libgpg-error (1.13-2) unstable; urgency=medium

  * adopt upstream's variant of the hppa tuning.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 06 Aug 2014 00:22:25 -0400

libgpg-error (1.13-1) unstable; urgency=medium

  * Adopt by pkg-gnupg team, after conferring with previous maintainer.  Thanks,
    Jose Carlos Garcia Sogo!
  * tweak hppa lock-obj struct. (Closes: #757060) Thanks, John David Anglin!
  * bump standards-version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Aug 2014 09:41:50 -0400

libgpg-error (1.13-0.4) unstable; urgency=medium

  * NMU
  * include arch-specific lock-obj code as accepted by upstream (another
    step toward dealing with #753047)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 04 Aug 2014 17:00:45 -0400

libgpg-error (1.13-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf instead of autotools-dev. Closes: #749522.
 
 -- Matthias Klose <doko@debian.org>  Mon, 04 Aug 2014 11:12:08 +0200

libgpg-error (1.13-0.2) unstable; urgency=medium

  * NMU
  * print arch-specific lock-obj code after successful build (as a step
    toward dealing with #753047)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 20 Jul 2014 23:46:49 -0400

libgpg-error (1.13-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #752564)
  * verify upstream signatures (Closes: #752580)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 24 Jun 2014 17:36:15 -0400

libgpg-error (1.12-0.2) unstable; urgency=low

  * NMU
  * debian/libgpg-error0.install: Renamed to debian/libgpg-error0.install.in.
    Put libraries under /lib (closes: #720593).
  * debian/libgpg-error-dev.install: Don't install .so link. We need to
    handle this via dh_link.
  * debian/rules: Create .so link and install files between /usr/lib and /lib.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 05 Sep 2013 22:27:50 +0200

libgpg-error (1.12-0.1) unstable; urgency=low

  * NMU
  * New upstream release (closes: #711995).
  * debian/clean, debian/*.dirs: Removed unused file.
  * debian/control: Added generic Vcs-Browser and Vcs-Svn.
    (Standards-Version): Bumped to 3.9.4.
    (Build-Depends): Added versioned autotools-dev (closes: #689621).
  * debian/copyright: Updated.
  * debian/docs, debian/libgpg-error0.docs: Removed. Installed files via
    debian/rules.
  * debian/libgpg-error0.install.in: Renamed to debian/libgpg-error0.install
    and dropped sed stuff.
  * debian/libgpg-error0.symbols: Added.
  * debian/libgpg-error-dev.links.in: Put into debian/rules.
  * debian/rules: Rewritten for dh 7+. Enabled hardening. Dropped linking.
  * debian/watch: Minor update.
  * debian/patches/: Removed patches and dpatch leftovers (closes: #689604).
  * debian/patches/l10n_update.patch: Dropped (shipped with new release).
  * debian/patches/series: Emptied.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 12 Aug 2013 22:49:55 +0200

libgpg-error (1.10-3.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Program translation ]
  * Japanese, new (Takeshi Hamasaki)
  * Danish, new (Joe Hansen)
  * German updated (Werner Koch)
  * French updated (David Prévot, closes: #625485)
  * Czech updated (Petr Pisar)
  * Dutch updated (Freek de Kruijf)
  * Polish updated (Michał Kułach, closes: #685023)

 -- David Prévot <taffit@debian.org>  Fri, 17 Aug 2012 22:56:29 -0400

libgpg-error (1.10-3) unstable; urgency=low

  * Do not install .la file (Closes: #657156) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 02 Feb 2012 21:56:39 +0000

libgpg-error (1.10-2) unstable; urgency=low

  * Add static library back (Closes: #632889, #653693)
  * Transition for multiarch (Closes: #634129)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 06 Jan 2012 00:46:00 +0100

libgpg-error (1.10-1) unstable; urgency=low

  * Ack all previous NMU. All thanks go to Jonas Meurer.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 10 Sep 2011 10:39:11 +0200

libgpg-error (1.10-0.3) unstable; urgency=low

  * Non-maintainer upload
  * Upload to unstable, most important changes:
    - New upstream release (1.10)
    - Migrate library from /usr/lib to /lib
    - Add udeb package for debian-installer

 -- Jonas Meurer <mejo@debian.org>  Mon, 07 Feb 2011 11:14:44 +0100

libgpg-error (1.10-0.2) experimental; urgency=low

  * Non-maintainer upload
  * Add libgpg-error0-udeb package for debian-installer
  * change 'XC-Package-Type' to 'Package-Type' for udeb in debian/control
  * empty dependency_libs in .la file (thanks to Ubuntu)
  * Install .la file and .so link to /usr/lib after discussion on #debian-devel
    and debian-devel@lists.debian.org.

 -- Jonas Meurer <mejo@debian.org>  Mon, 03 Jan 2011 02:23:00 +0100

libgpg-error (1.10-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release 1.10. (Closes: #554234)
  * Upload to experimental due to squeeze deep freeze
  * Add debian/watch file.
  * debian/control:
    + Move source package to section libs.
    + Add misc Depends for debhelper.
    + Update short description for libgpg-error-dev
    + Bump standards-version to 3.9.1, no changes required
    + Add Homepage header
    + Set Priority=standard for source package
  * debian/rules:
    + Remove unused dpatch patch system implementation and patches
    + Remove unneeded 'chmod +x configure' from configure-stamp target
    + Move libgpg-error0 library to /lib. (Closes: #604945)
    + Fix targets to always depend on target-stamp, add install-stamp
    + Remove '-V 'libgpg-error0 (>= 1.6-1)'' from dh_makeshlibs
  * move debian/doc to debian/libgpg-error0.doc:
    + ship NEWS and README in library package, not in dev package
  * debian/libgpg-error-dev.install:
    + don't install unavailable libgpg-error.a
  * debian/gpg-error(-config).1:
    + Fix manpages, thanks to lintian
  * debian/copyright:
    + refer to versioned LGPL 2.1, thanks to lintian

 -- Jonas Meurer <mejo@debian.org>  Thu, 16 Dec 2010 12:55:05 +0100

libgpg-error (1.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 3.8.1. No changes needed.
    + Add ${shlibs:Depends} var to Depends line on -dev package, as it
      includes binaries
  * debian/rules:
    + Don't ignore errors on make clean and make lintian happy.
    + Use dh_prep instead of deprecated in level 7 dh_clean -k
    + Bump generated shlibs dependency to libgpg-error >= 1.6-1
  * Delete libgpg-error0.post[inst,rm] files
  * Set debian/compat file to debhelper level 7, and build-depend needed
    debhelper version (version in lenny, so package can be portable)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 20 Mar 2009 09:50:56 +0100

libgpg-error (1.4-2) unstable; urgency=low

  * Fix build-dependencies and dependencies (Closes: #397932)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 12 Nov 2006 12:30:46 +0100

libgpg-error (1.4-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.7.2. No changes needed.
  * Use {binary:Version} field in libgpg-error-dev dependecy field. (Closes: #384376)
  * Fix typo in upstream URL at debian/copyright file (Closes: #387735)
  * debian/patches: Disable m4_macros and 10_relibtoolize patches.
    Upstream uses now a quite current copy of gettext.
  * Update FSF address in debian/copyright file.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 24 Sep 2006 16:33:03 +0200

libgpg-error (1.2-1) unstable; urgency=low

  * New upstream version. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  4 Mar 2006 15:53:20 +0100

libgpg-error (1.1-4) unstable; urgency=low

  * In addition to relibtoolizing we have to upgrade lib-*.m4 files, 
  which are hidden in gettext source. (Closes: #319103)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 31 Jul 2005 14:47:25 +0200

libgpg-error (1.1-3) unstable; urgency=low

  * Actually fix #318221. Library package is important, while -dev package is
    optional.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 29 Jul 2005 01:21:38 +0200

libgpg-error (1.1-2) unstable; urgency=low

  * Include relibtoolize patch again. (Closes: #319103)
  * This package is priority optional. Changed control file to match
    ftp-master overrides (Closes: #318221) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 29 Jul 2005 00:08:13 +0200

libgpg-error (1.1-1) unstable; urgency=low

  * The "you can't get sunburn at Finland" release.
  * New upstream release.
     + It does now compile in Hurd (Closes: #307922)
     + German PO file corrections by Jens Seidel. (Closes: #313977)
  * Bumped Standars-Version. No changes needed. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 14 Jul 2005 01:23:18 +0300

libgpg-error (1.0-1) unstable; urgency=low

  * New upstream release.
    + Fixes warning in gpg-error.m4 (Closes: #254129)
  * Changed package priority to important, as gnutls depends on this package and is
    priority important also.
  * debian/patches:
    + 05_Makefile.am: new, remove use of local m4/
    + 06_Makefile.in: new, remove using local m4/ and m4/libtool (which is not
    distributed with upstream sources)
    + 10_relibtoolize: updated, changing to libtool 1.5 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon,  2 Aug 2004 13:03:06 +0200

libgpg-error (0.7-3) unstable; urgency=low

  * Really apply patch created in previous version, fixing GNU/k*BSD issues
  (Closes: #259088)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 15 Jul 2004 00:26:10 +0200

libgpg-error (0.7-2) unstable; urgency=low

  * debian/control: added dpatch to Build-Depends field.
  * debian/patches:
      + 10_relibtoolize: Relibtoolize for GNU/k*BSD (Closes: #258871)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 12 Jul 2004 23:43:33 +0200

libgpg-error (0.7-1) unstable; urgency=low

  * New upstream version. (Closes: #236802, #238161)
  * Bumped Standars Versions. No changes.
  * From Matthias Urlichs package:
      - Document gpg-error.
      - Fix installation.
      - Added postinst and prerm scripts for libgpg-error0.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 16 Mar 2004 23:25:13 +0100

libgpg-error (0.6-1) unstable; urgency=low

  * ACK previous NMU. Thanks waldi. (Closes: #213820)
  * The following changes are from a patch by Matthias Ulrich. Thanks.
      - Install m4 files and German message catalog. (Closes: #23384)
      - Rename manpage for gpg-error-config (was: libgpg-error-config).
        (Closes: #233476)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 21 Feb 2004 17:50:30 +0100

libgpg-error (0.6-0.2) unstable; urgency=low

  * NMU.
  * Install m4 files and German message catalog.                 Closes: #233848
  * Rename manpage for gpg-error-config (was: libgpg-error-config).
                                                                 Closes: #233476

 -- Matthias Urlichs <smurf@debian.org>  Thu, 19 Feb 2004 16:23:51 +0100

libgpg-error (0.6-0.1) unstable; urgency=low

  * NMU with permission of maintainer
  * new upstream version

 -- Bastian Blank <waldi@debian.org>  Mon, 17 Nov 2003 20:22:00 +0100

libgpg-error (0.1-2) unstable; urgency=low

  * Added libgpg-error-config script to -dev package, and manpage.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 23 Jun 2003 23:26:30 +0200

libgpg-error (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #196386)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 23 Jun 2003 15:39:47 +0200
